Retrieves all the contacts
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "6a438463-d0a7-4b1a-aeec-dda950c53c0e",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "bf10fac8-c0bf-412c-b62f-87800ca82c8c",
"company_code": "sample string 5",
"company": {
"id": "ff92a512-50b6-432a-b986-3b6a21548bdd",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-25T06:43:54.9670014+00:00",
"sales_territory_id": "5312039d-dd9c-4748-b646-30953044fe98",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "01350b0b-62da-445c-8c72-0ba3742deb00",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "4b304ef0-3fb0-4fc1-8c34-6a0158846a80",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "ccaeaecc-1da4-4ab5-ad52-826e19caa7cb",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "64561bf6-38b7-4676-a5fe-84737b77d1b6",
"db_currency_id": "0e350919-1196-4fe0-8914-728c710152d6",
"db_language_id": "0f0bf7ce-ff1f-4fb0-aab9-0da9976ebd69",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-25T06:43:54.9826281+00:00"
},
"modified_dateutc": "2026-10-25T06:43:54.9826281+00:00"
},
"marketing_segment_id": "ce7ecb50-8ab3-452b-8373-5efe09ed21a6",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "79ff6909-1396-425d-a42f-a5151bd1d6e7",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "a35abb15-2134-40e5-8feb-8ebd83ed479e",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "447e4369-64fd-439b-a869-a86634a69a4e",
"db_country_code": "sample string 28",
"feelist_id": "90d25672-fd1f-43d4-861c-d70b4615220f",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "dd619e71-26cb-4f6e-9cfa-e6df7bd9efab",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "a6c8fbae-6699-4293-af5c-264ff123eae1",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-25T06:43:54.9826281+00:00",
"db_currency_id": "04f49464-7969-4327-9382-38288204c092",
"db_currency_code": "sample string 10"
},
"company_type_id": "a90e1ecf-ebce-42d0-9c37-3ba621187b2f",
"company_type_name": "sample string 32",
"company_type": {
"id": "9e9996ba-6a23-4ab2-ae3d-09fc0300c178",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "84927537-c403-469c-9280-caa589347c1c",
"sales_organization_code": "sample string 5"
},
"db_language_id": "41c06e48-1ae7-411d-ba52-4f252cdf3dde",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "858f1b5b-3f53-4860-aeb6-5acc39373164",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "51f38e47-a3f0-494e-8e26-9ae0aca68ff7",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "baa628af-cd0b-481a-a331-33e21851b7ab",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-25T06:43:54.9826281+00:00"
},
"company_sector_id": "05f93730-b109-4afb-8223-4013403fc82d",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "caa980a4-4d30-4fa7-9355-baad94f8796b",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "37581aa5-486e-451c-a3a6-c033dddfe089",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "97d7cfea-c443-4ee9-b54f-f95d32b0dd55",
"account_manager_user_code": "sample string 56",
"company_status_id": "2e7ccbdf-87b6-4342-b791-320ab210858e",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-25T06:43:54.9826281+00:00",
"id2": 60
},
"db_language_id": "9b35f084-d557-4738-92e2-396933310f16",
"db_language_code": "sample string 7",
"db_title_id": "4628a352-99a4-4320-a205-0e09b3cd4909",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-25T06:43:54.9826281+00:00",
"create_date": "2026-10-25T06:43:54.9826281+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-25T06:43:54.9826281+00:00"
}